import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import antd from "ant-design-vue";
import "ant-design-vue/dist/antd.css";
import "../src/style/index.less";
import "../src/style/userinfo.less"; //用户账号设置和个人中心的样式
import "@/permission"; // permission control
import "./svg";
import moment from "moment";
import "moment/locale/zh-cn";
import AMap from "vue-amap";
Vue.use(AMap);
console.log("development");
Array.prototype.logResultStr = 'logResultStr'
Array.prototype.logResult = function(){
  console.log('Array');   
}
let arr = []
arr.__proto__.arrStr = 'arrStr'
console.log(arr.__proto__);
console.dir(Array.__proto__);

// Array.logResult()
AMap.initAMapApiLoader({
  // 高德key
  key: "44f4591aabba558514366f6e55f8d20e", // 自己到官网申请，我随便写的
  // 插件集合 （插件按需引入）
  plugin: [
    "AMap.Autocomplete",
    "AMap.PlaceSearch",
    "AMap.Scale",
    "AMap.OverView",
    "AMap.ToolBar",
    "AMap.MapType",
    "AMap.PolyEditor",
    "AMap.CircleEditor",
    "AMap.MarkerClusterer",
  ],
  v: "1.4.15", // 我也不知道为什么要写这个，不写项目会报错，而且我随便写的，跟我下载的版本对应不了
  uiVersion: "1.0.11", // ui版本号，也是需要写，不配置不加载,
});
moment.locale("zh-cn"); //设置语言 或 moment.lang('zh-cn');
Vue.prototype.$moment = moment; //挂载到当前vue实例对象

Vue.config.productionTip = false;
Vue.use(antd);
new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
export default Vue;
